Bug 973695 - (CVE-2013-2179) CVE-2013-2179 xorg-x11-xdm: NULL pointer dereference (DoS) when verifying user credentials in FIPS-140 mode or using glibc >= 2.17
CVE-2013-2179 xorg-x11-xdm: NULL pointer dereference (DoS) when verifying use...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130611,reported=2...
: Security
Depends On: 973698
Blocks: 973700
  Show dependency treegraph
 
Reported: 2013-06-12 09:58 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 23:46:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-06-12 09:58:21 EDT
A NULL pointer dereference, leading to denial of service flaw was found in the way X.Org X11 xdm, X.Org X Display Manager, performed user credentials verification, when the FIPS-140 mode was enabled on the underlying Linux system or the xdm was compiled against glibc library of version of 2.17 and above. A local attacker could provide a specially-crafted input that, when processed would lead to xdm executable crash.

References:
[1] http://www.openwall.com/lists/oss-security/2013/06/11/5

Relevant upstream patch:
[2] http://cgit.freedesktop.org/xorg/app/xdm/commit/?id=8d1eb5c74413e4c9a21f689fc106949b121c0117
Comment 1 Jan Lieskovsky 2013-06-12 10:02:20 EDT
Created xorg-x11-xdm tracking bugs for this issue

Affects: fedora-all [bug 973698]
Comment 2 Huzaifa S. Sidhpurwala 2013-06-13 23:45:23 EDT
This issue only affects those builds of xdm which use raw crypt() authentication, instead of a higher level system such as PAM or BSD Auth. The version of xdm binary as shipped in xorg-x11-xdm package, in Red Hat Enterprise Linux 5 and 6 is linked against PAM libraries and is therefore not affected by this flaw.
Comment 3 Huzaifa S. Sidhpurwala 2013-06-13 23:46:08 EDT
Statement:

Not Vulnerable. This issue does not affect the version of xorg-x11-xdm as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 4 Huzaifa S. Sidhpurwala 2013-06-13 23:46:57 EDT
This issue does not affect the version of xorg-x11-xdm package as shipped with Fedora 17 and Fedora 18.

Note You need to log in before you can comment on or make changes to this bug.